Package com.omnisci.thrift.server

## Class TCopyParams

- java.lang.Object
- - com.omnisci.thrift.server.TCopyParams

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TCopyParams>`, `org.apache.thrift.TBase<TCopyParams,​TCopyParams._Fields>`, `org.apache.thrift.TSerializable`

    public class TCopyParams
    extends Object
    implements org.apache.thrift.TBase<TCopyParams,​TCopyParams._Fields>, Serializable, Cloneable, Comparable<TCopyParams>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TCopyParams._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`String` `array_begin`
`String` `array_delim`
`String` `array_end`
`String` `delimiter`
`String` `escape`
`TFileType` `file_type`
`boolean` `geo_assign_render_groups`
`int` `geo_coords_comp_param`
`TEncodingType` `geo_coords_encoding`
`int` `geo_coords_srid`
`TDatumType` `geo_coords_type`
`boolean` `geo_explode_collections`
`String` `geo_layer_name`
`TImportHeaderRow` `has_header`
`String` `line_delim`
`static Map<TCopyParams._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `null_str`
`String` `quote`
`boolean` `quoted`
`String` `s3_access_key`
`String` `s3_endpoint`
`String` `s3_region`
`String` `s3_secret_key`
`String` `s3_session_token`
`boolean` `sanitize_column_names`
`int` `source_srid`
`int` `threads`

### Constructor Summary

Constructors
`TCopyParams()`
`TCopyParams​(TCopyParams other)` Performs a deep copy on other.

`TCopyParams​(String delimiter, String null_str, TImportHeaderRow has_header, boolean quoted, String quote, String escape, String line_delim, String array_delim, String array_begin, String array_end, int threads, TFileType file_type, String s3_access_key, String s3_secret_key, String s3_region, TEncodingType geo_coords_encoding, int geo_coords_comp_param, TDatumType geo_coords_type, int geo_coords_srid, boolean sanitize_column_names, String geo_layer_name, String s3_endpoint, boolean geo_assign_render_groups, boolean geo_explode_collections, int source_srid, String s3_session_token)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TCopyParams other)`
`TCopyParams` `deepCopy()`
`boolean` `equals​(TCopyParams that)`
`boolean` `equals​(Object that)`
`TCopyParams._Fields` `fieldForId​(int fieldId)`
`String` `getArray_begin()`
`String` `getArray_delim()`
`String` `getArray_end()`
`String` `getDelimiter()`
`String` `getEscape()`
`Object` `getFieldValue​(TCopyParams._Fields field)`
`TFileType` `getFile_type()`
`int` `getGeo_coords_comp_param()`
`TEncodingType` `getGeo_coords_encoding()`
`int` `getGeo_coords_srid()`
`TDatumType` `getGeo_coords_type()`
`String` `getGeo_layer_name()`
`TImportHeaderRow` `getHas_header()`
`String` `getLine_delim()`
`String` `getNull_str()`
`String` `getQuote()`
`String` `getS3_access_key()`
`String` `getS3_endpoint()`
`String` `getS3_region()`
`String` `getS3_secret_key()`
`String` `getS3_session_token()`
`int` `getSource_srid()`
`int` `getThreads()`
`int` `hashCode()`
`boolean` `isGeo_assign_render_groups()`
`boolean` `isGeo_explode_collections()`
`boolean` `isQuoted()`
`boolean` `isSanitize_column_names()`
`boolean` `isSet​(TCopyParams._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetArray_begin()` Returns true if field array_begin is set (has been assigned a value) and false otherwise
`boolean` `isSetArray_delim()` Returns true if field array_delim is set (has been assigned a value) and false otherwise
`boolean` `isSetArray_end()` Returns true if field array_end is set (has been assigned a value) and false otherwise
`boolean` `isSetDelimiter()` Returns true if field delimiter is set (has been assigned a value) and false otherwise
`boolean` `isSetEscape()` Returns true if field escape is set (has been assigned a value) and false otherwise
`boolean` `isSetFile_type()` Returns true if field file_type is set (has been assigned a value) and false otherwise
`boolean` `isSetGeo_assign_render_groups()` Returns true if field geo_assign_render_groups is set (has been assigned a value) and false otherwise
`boolean` `isSetGeo_coords_comp_param()` Returns true if field geo_coords_comp_param is set (has been assigned a value) and false otherwise
`boolean` `isSetGeo_coords_encoding()` Returns true if field geo_coords_encoding is set (has been assigned a value) and false otherwise
`boolean` `isSetGeo_coords_srid()` Returns true if field geo_coords_srid is set (has been assigned a value) and false otherwise
`boolean` `isSetGeo_coords_type()` Returns true if field geo_coords_type is set (has been assigned a value) and false otherwise
`boolean` `isSetGeo_explode_collections()` Returns true if field geo_explode_collections is set (has been assigned a value) and false otherwise
`boolean` `isSetGeo_layer_name()` Returns true if field geo_layer_name is set (has been assigned a value) and false otherwise
`boolean` `isSetHas_header()` Returns true if field has_header is set (has been assigned a value) and false otherwise
`boolean` `isSetLine_delim()` Returns true if field line_delim is set (has been assigned a value) and false otherwise
`boolean` `isSetNull_str()` Returns true if field null_str is set (has been assigned a value) and false otherwise
`boolean` `isSetQuote()` Returns true if field quote is set (has been assigned a value) and false otherwise
`boolean` `isSetQuoted()` Returns true if field quoted is set (has been assigned a value) and false otherwise
`boolean` `isSetS3_access_key()` Returns true if field s3_access_key is set (has been assigned a value) and false otherwise
`boolean` `isSetS3_endpoint()` Returns true if field s3_endpoint is set (has been assigned a value) and false otherwise
`boolean` `isSetS3_region()` Returns true if field s3_region is set (has been assigned a value) and false otherwise
`boolean` `isSetS3_secret_key()` Returns true if field s3_secret_key is set (has been assigned a value) and false otherwise
`boolean` `isSetS3_session_token()` Returns true if field s3_session_token is set (has been assigned a value) and false otherwise
`boolean` `isSetSanitize_column_names()` Returns true if field sanitize_column_names is set (has been assigned a value) and false otherwise
`boolean` `isSetSource_srid()` Returns true if field source_srid is set (has been assigned a value) and false otherwise
`boolean` `isSetThreads()` Returns true if field threads is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TCopyParams` `setArray_begin​(String array_begin)`
`void` `setArray_beginIsSet​(boolean value)`
`TCopyParams` `setArray_delim​(String array_delim)`
`void` `setArray_delimIsSet​(boolean value)`
`TCopyParams` `setArray_end​(String array_end)`
`void` `setArray_endIsSet​(boolean value)`
`TCopyParams` `setDelimiter​(String delimiter)`
`void` `setDelimiterIsSet​(boolean value)`
`TCopyParams` `setEscape​(String escape)`
`void` `setEscapeIsSet​(boolean value)`
`void` `setFieldValue​(TCopyParams._Fields field, Object value)`
`TCopyParams` `setFile_type​(TFileType file_type)`
`void` `setFile_typeIsSet​(boolean value)`
`TCopyParams` `setGeo_assign_render_groups​(boolean geo_assign_render_groups)`
`void` `setGeo_assign_render_groupsIsSet​(boolean value)`
`TCopyParams` `setGeo_coords_comp_param​(int geo_coords_comp_param)`
`void` `setGeo_coords_comp_paramIsSet​(boolean value)`
`TCopyParams` `setGeo_coords_encoding​(TEncodingType geo_coords_encoding)`
`void` `setGeo_coords_encodingIsSet​(boolean value)`
`TCopyParams` `setGeo_coords_srid​(int geo_coords_srid)`
`void` `setGeo_coords_sridIsSet​(boolean value)`
`TCopyParams` `setGeo_coords_type​(TDatumType geo_coords_type)`
`void` `setGeo_coords_typeIsSet​(boolean value)`
`TCopyParams` `setGeo_explode_collections​(boolean geo_explode_collections)`
`void` `setGeo_explode_collectionsIsSet​(boolean value)`
`TCopyParams` `setGeo_layer_name​(String geo_layer_name)`
`void` `setGeo_layer_nameIsSet​(boolean value)`
`TCopyParams` `setHas_header​(TImportHeaderRow has_header)`
`void` `setHas_headerIsSet​(boolean value)`
`TCopyParams` `setLine_delim​(String line_delim)`
`void` `setLine_delimIsSet​(boolean value)`
`TCopyParams` `setNull_str​(String null_str)`
`void` `setNull_strIsSet​(boolean value)`
`TCopyParams` `setQuote​(String quote)`
`TCopyParams` `setQuoted​(boolean quoted)`
`void` `setQuotedIsSet​(boolean value)`
`void` `setQuoteIsSet​(boolean value)`
`TCopyParams` `setS3_access_key​(String s3_access_key)`
`void` `setS3_access_keyIsSet​(boolean value)`
`TCopyParams` `setS3_endpoint​(String s3_endpoint)`
`void` `setS3_endpointIsSet​(boolean value)`
`TCopyParams` `setS3_region​(String s3_region)`
`void` `setS3_regionIsSet​(boolean value)`
`TCopyParams` `setS3_secret_key​(String s3_secret_key)`
`void` `setS3_secret_keyIsSet​(boolean value)`
`TCopyParams` `setS3_session_token​(String s3_session_token)`
`void` `setS3_session_tokenIsSet​(boolean value)`
`TCopyParams` `setSanitize_column_names​(boolean sanitize_column_names)`
`void` `setSanitize_column_namesIsSet​(boolean value)`
`TCopyParams` `setSource_srid​(int source_srid)`
`void` `setSource_sridIsSet​(boolean value)`
`TCopyParams` `setThreads​(int threads)`
`void` `setThreadsIsSet​(boolean value)`
`String` `toString()`
`void` `unsetArray_begin()`
`void` `unsetArray_delim()`
`void` `unsetArray_end()`
`void` `unsetDelimiter()`
`void` `unsetEscape()`
`void` `unsetFile_type()`
`void` `unsetGeo_assign_render_groups()`
`void` `unsetGeo_coords_comp_param()`
`void` `unsetGeo_coords_encoding()`
`void` `unsetGeo_coords_srid()`
`void` `unsetGeo_coords_type()`
`void` `unsetGeo_explode_collections()`
`void` `unsetGeo_layer_name()`
`void` `unsetHas_header()`
`void` `unsetLine_delim()`
`void` `unsetNull_str()`
`void` `unsetQuote()`
`void` `unsetQuoted()`
`void` `unsetS3_access_key()`
`void` `unsetS3_endpoint()`
`void` `unsetS3_region()`
`void` `unsetS3_secret_key()`
`void` `unsetS3_session_token()`
`void` `unsetSanitize_column_names()`
`void` `unsetSource_srid()`
`void` `unsetThreads()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### delimiter

    public String delimiter

#### null_str

    public String null_str

#### has_header

    public TImportHeaderRow has_header

See Also:
  `TImportHeaderRow`

#### quoted

    public boolean quoted

#### quote

    public String quote

#### escape

    public String escape

#### line_delim

    public String line_delim

#### array_delim

    public String array_delim

#### array_begin

    public String array_begin

#### array_end

    public String array_end

#### threads

    public int threads

#### file_type

    public TFileType file_type

See Also:
  `TFileType`

#### s3_access_key

    public String s3_access_key

#### s3_secret_key

    public String s3_secret_key

#### s3_region

    public String s3_region

#### geo_coords_encoding

    public TEncodingType geo_coords_encoding

See Also:
  `TEncodingType`

#### geo_coords_comp_param

    public int geo_coords_comp_param

#### geo_coords_type

    public TDatumType geo_coords_type

See Also:
  `TDatumType`

#### geo_coords_srid

    public int geo_coords_srid

#### sanitize_column_names

    public boolean sanitize_column_names

#### geo_layer_name

    public String geo_layer_name

#### s3_endpoint

    public String s3_endpoint

#### geo_assign_render_groups

    public boolean geo_assign_render_groups

#### geo_explode_collections

    public boolean geo_explode_collections

#### source_srid

    public int source_srid

#### s3_session_token

    public String s3_session_token

#### metaDataMap

    public static final Map<TCopyParams._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TCopyParams

    public TCopyParams()

#### TCopyParams

    public TCopyParams​(String delimiter,
                       String null_str,
                       TImportHeaderRow has_header,
                       boolean quoted,
                       String quote,
                       String escape,
                       String line_delim,
                       String array_delim,
                       String array_begin,
                       String array_end,
                       int threads,
                       TFileType file_type,
                       String s3_access_key,
                       String s3_secret_key,
                       String s3_region,
                       TEncodingType geo_coords_encoding,
                       int geo_coords_comp_param,
                       TDatumType geo_coords_type,
                       int geo_coords_srid,
                       boolean sanitize_column_names,
                       String geo_layer_name,
                       String s3_endpoint,
                       boolean geo_assign_render_groups,
                       boolean geo_explode_collections,
                       int source_srid,
                       String s3_session_token)

#### TCopyParams

    public TCopyParams​(TCopyParams other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TCopyParams deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TCopyParams,​TCopyParams._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TCopyParams,​TCopyParams._Fields>`

#### getDelimiter

    public String getDelimiter()

#### setDelimiter

    public TCopyParams setDelimiter​(String delimiter)

#### unsetDelimiter

    public void unsetDelimiter()

#### isSetDelimiter

    public boolean isSetDelimiter()

Returns true if field delimiter is set (has been assigned a value) and false otherwise

#### setDelimiterIsSet

    public void setDelimiterIsSet​(boolean value)

#### getNull_str

    public String getNull_str()

#### setNull_str

    public TCopyParams setNull_str​(String null_str)

#### unsetNull_str

    public void unsetNull_str()

#### isSetNull_str

    public boolean isSetNull_str()

Returns true if field null_str is set (has been assigned a value) and false otherwise

#### setNull_strIsSet

    public void setNull_strIsSet​(boolean value)

#### getHas_header

    public TImportHeaderRow getHas_header()

See Also:
  `TImportHeaderRow`

#### setHas_header

    public TCopyParams setHas_header​(TImportHeaderRow has_header)

See Also:
  `TImportHeaderRow`

#### unsetHas_header

    public void unsetHas_header()

#### isSetHas_header

    public boolean isSetHas_header()

Returns true if field has_header is set (has been assigned a value) and false otherwise

#### setHas_headerIsSet

    public void setHas_headerIsSet​(boolean value)

#### isQuoted

    public boolean isQuoted()

#### setQuoted

    public TCopyParams setQuoted​(boolean quoted)

#### unsetQuoted

    public void unsetQuoted()

#### isSetQuoted

    public boolean isSetQuoted()

Returns true if field quoted is set (has been assigned a value) and false otherwise

#### setQuotedIsSet

    public void setQuotedIsSet​(boolean value)

#### getQuote

    public String getQuote()

#### setQuote

    public TCopyParams setQuote​(String quote)

#### unsetQuote

    public void unsetQuote()

#### isSetQuote

    public boolean isSetQuote()

Returns true if field quote is set (has been assigned a value) and false otherwise

#### setQuoteIsSet

    public void setQuoteIsSet​(boolean value)

#### getEscape

    public String getEscape()

#### setEscape

    public TCopyParams setEscape​(String escape)

#### unsetEscape

    public void unsetEscape()

#### isSetEscape

    public boolean isSetEscape()

Returns true if field escape is set (has been assigned a value) and false otherwise

#### setEscapeIsSet

    public void setEscapeIsSet​(boolean value)

#### getLine_delim

    public String getLine_delim()

#### setLine_delim

    public TCopyParams setLine_delim​(String line_delim)

#### unsetLine_delim

    public void unsetLine_delim()

#### isSetLine_delim

    public boolean isSetLine_delim()

Returns true if field line_delim is set (has been assigned a value) and false otherwise

#### setLine_delimIsSet

    public void setLine_delimIsSet​(boolean value)

#### getArray_delim

    public String getArray_delim()

#### setArray_delim

    public TCopyParams setArray_delim​(String array_delim)

#### unsetArray_delim

    public void unsetArray_delim()

#### isSetArray_delim

    public boolean isSetArray_delim()

Returns true if field array_delim is set (has been assigned a value) and false otherwise

#### setArray_delimIsSet

    public void setArray_delimIsSet​(boolean value)

#### getArray_begin

    public String getArray_begin()

#### setArray_begin

    public TCopyParams setArray_begin​(String array_begin)

#### unsetArray_begin

    public void unsetArray_begin()

#### isSetArray_begin

    public boolean isSetArray_begin()

Returns true if field array_begin is set (has been assigned a value) and false otherwise

#### setArray_beginIsSet

    public void setArray_beginIsSet​(boolean value)

#### getArray_end

    public String getArray_end()

#### setArray_end

    public TCopyParams setArray_end​(String array_end)

#### unsetArray_end

    public void unsetArray_end()

#### isSetArray_end

    public boolean isSetArray_end()

Returns true if field array_end is set (has been assigned a value) and false otherwise

#### setArray_endIsSet

    public void setArray_endIsSet​(boolean value)

#### getThreads

    public int getThreads()

#### setThreads

    public TCopyParams setThreads​(int threads)

#### unsetThreads

    public void unsetThreads()

#### isSetThreads

    public boolean isSetThreads()

Returns true if field threads is set (has been assigned a value) and false otherwise

#### setThreadsIsSet

    public void setThreadsIsSet​(boolean value)

#### getFile_type

    public TFileType getFile_type()

See Also:
  `TFileType`

#### setFile_type

    public TCopyParams setFile_type​(TFileType file_type)

See Also:
  `TFileType`

#### unsetFile_type

    public void unsetFile_type()

#### isSetFile_type

    public boolean isSetFile_type()

Returns true if field file_type is set (has been assigned a value) and false otherwise

#### setFile_typeIsSet

    public void setFile_typeIsSet​(boolean value)

#### getS3_access_key

    public String getS3_access_key()

#### setS3_access_key

    public TCopyParams setS3_access_key​(String s3_access_key)

#### unsetS3_access_key

    public void unsetS3_access_key()

#### isSetS3_access_key

    public boolean isSetS3_access_key()

Returns true if field s3_access_key is set (has been assigned a value) and false otherwise

#### setS3_access_keyIsSet

    public void setS3_access_keyIsSet​(boolean value)

#### getS3_secret_key

    public String getS3_secret_key()

#### setS3_secret_key

    public TCopyParams setS3_secret_key​(String s3_secret_key)

#### unsetS3_secret_key

    public void unsetS3_secret_key()

#### isSetS3_secret_key

    public boolean isSetS3_secret_key()

Returns true if field s3_secret_key is set (has been assigned a value) and false otherwise

#### setS3_secret_keyIsSet

    public void setS3_secret_keyIsSet​(boolean value)

#### getS3_region

    public String getS3_region()

#### setS3_region

    public TCopyParams setS3_region​(String s3_region)

#### unsetS3_region

    public void unsetS3_region()

#### isSetS3_region

    public boolean isSetS3_region()

Returns true if field s3_region is set (has been assigned a value) and false otherwise

#### setS3_regionIsSet

    public void setS3_regionIsSet​(boolean value)

#### getGeo_coords_encoding

    public TEncodingType getGeo_coords_encoding()

See Also:
  `TEncodingType`

#### setGeo_coords_encoding

    public TCopyParams setGeo_coords_encoding​(TEncodingType geo_coords_encoding)

See Also:
  `TEncodingType`

#### unsetGeo_coords_encoding

    public void unsetGeo_coords_encoding()

#### isSetGeo_coords_encoding

    public boolean isSetGeo_coords_encoding()

Returns true if field geo_coords_encoding is set (has been assigned a value) and false otherwise

#### setGeo_coords_encodingIsSet

    public void setGeo_coords_encodingIsSet​(boolean value)

#### getGeo_coords_comp_param

    public int getGeo_coords_comp_param()

#### setGeo_coords_comp_param

    public TCopyParams setGeo_coords_comp_param​(int geo_coords_comp_param)

#### unsetGeo_coords_comp_param

    public void unsetGeo_coords_comp_param()

#### isSetGeo_coords_comp_param

    public boolean isSetGeo_coords_comp_param()

Returns true if field geo_coords_comp_param is set (has been assigned a value) and false otherwise

#### setGeo_coords_comp_paramIsSet

    public void setGeo_coords_comp_paramIsSet​(boolean value)

#### getGeo_coords_type

    public TDatumType getGeo_coords_type()

See Also:
  `TDatumType`

#### setGeo_coords_type

    public TCopyParams setGeo_coords_type​(TDatumType geo_coords_type)

See Also:
  `TDatumType`

#### unsetGeo_coords_type

    public void unsetGeo_coords_type()

#### isSetGeo_coords_type

    public boolean isSetGeo_coords_type()

Returns true if field geo_coords_type is set (has been assigned a value) and false otherwise

#### setGeo_coords_typeIsSet

    public void setGeo_coords_typeIsSet​(boolean value)

#### getGeo_coords_srid

    public int getGeo_coords_srid()

#### setGeo_coords_srid

    public TCopyParams setGeo_coords_srid​(int geo_coords_srid)

#### unsetGeo_coords_srid

    public void unsetGeo_coords_srid()

#### isSetGeo_coords_srid

    public boolean isSetGeo_coords_srid()

Returns true if field geo_coords_srid is set (has been assigned a value) and false otherwise

#### setGeo_coords_sridIsSet

    public void setGeo_coords_sridIsSet​(boolean value)

#### isSanitize_column_names

    public boolean isSanitize_column_names()

#### setSanitize_column_names

    public TCopyParams setSanitize_column_names​(boolean sanitize_column_names)

#### unsetSanitize_column_names

    public void unsetSanitize_column_names()

#### isSetSanitize_column_names

    public boolean isSetSanitize_column_names()

Returns true if field sanitize_column_names is set (has been assigned a value) and false otherwise

#### setSanitize_column_namesIsSet

    public void setSanitize_column_namesIsSet​(boolean value)

#### getGeo_layer_name

    public String getGeo_layer_name()

#### setGeo_layer_name

    public TCopyParams setGeo_layer_name​(String geo_layer_name)

#### unsetGeo_layer_name

    public void unsetGeo_layer_name()

#### isSetGeo_layer_name

    public boolean isSetGeo_layer_name()

Returns true if field geo_layer_name is set (has been assigned a value) and false otherwise

#### setGeo_layer_nameIsSet

    public void setGeo_layer_nameIsSet​(boolean value)

#### getS3_endpoint

    public String getS3_endpoint()

#### setS3_endpoint

    public TCopyParams setS3_endpoint​(String s3_endpoint)

#### unsetS3_endpoint

    public void unsetS3_endpoint()

#### isSetS3_endpoint

    public boolean isSetS3_endpoint()

Returns true if field s3_endpoint is set (has been assigned a value) and false otherwise

#### setS3_endpointIsSet

    public void setS3_endpointIsSet​(boolean value)

#### isGeo_assign_render_groups

    public boolean isGeo_assign_render_groups()

#### setGeo_assign_render_groups

    public TCopyParams setGeo_assign_render_groups​(boolean geo_assign_render_groups)

#### unsetGeo_assign_render_groups

    public void unsetGeo_assign_render_groups()

#### isSetGeo_assign_render_groups

    public boolean isSetGeo_assign_render_groups()

Returns true if field geo_assign_render_groups is set (has been assigned a value) and false otherwise

#### setGeo_assign_render_groupsIsSet

    public void setGeo_assign_render_groupsIsSet​(boolean value)

#### isGeo_explode_collections

    public boolean isGeo_explode_collections()

#### setGeo_explode_collections

    public TCopyParams setGeo_explode_collections​(boolean geo_explode_collections)

#### unsetGeo_explode_collections

    public void unsetGeo_explode_collections()

#### isSetGeo_explode_collections

    public boolean isSetGeo_explode_collections()

Returns true if field geo_explode_collections is set (has been assigned a value) and false otherwise

#### setGeo_explode_collectionsIsSet

    public void setGeo_explode_collectionsIsSet​(boolean value)

#### getSource_srid

    public int getSource_srid()

#### setSource_srid

    public TCopyParams setSource_srid​(int source_srid)

#### unsetSource_srid

    public void unsetSource_srid()

#### isSetSource_srid

    public boolean isSetSource_srid()

Returns true if field source_srid is set (has been assigned a value) and false otherwise

#### setSource_sridIsSet

    public void setSource_sridIsSet​(boolean value)

#### getS3_session_token

    public String getS3_session_token()

#### setS3_session_token

    public TCopyParams setS3_session_token​(String s3_session_token)

#### unsetS3_session_token

    public void unsetS3_session_token()

#### isSetS3_session_token

    public boolean isSetS3_session_token()

Returns true if field s3_session_token is set (has been assigned a value) and false otherwise

#### setS3_session_tokenIsSet

    public void setS3_session_tokenIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TCopyParams._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TCopyParams,​TCopyParams._Fields>`

#### getFieldValue

    public Object getFieldValue​(TCopyParams._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TCopyParams,​TCopyParams._Fields>`

#### isSet

    public boolean isSet​(TCopyParams._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TCopyParams,​TCopyParams._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TCopyParams that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TCopyParams other)

Specified by:
  `compareTo` in interface `Comparable<TCopyParams>`

#### fieldForId

    public TCopyParams._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TCopyParams,​TCopyParams._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`